#ifndef XMLVIEW_H
#define XMLVIEW_H

#include "dommodel.h"

#include <QtXml>
#include <QMainWindow>
#include <QtWidgets>
#include <QtXml>
#include <QXmlQuery>
#include <QtWidgets>
#include <QXmlSerializer>
#include <QLabel>
#include <QPalette>


using namespace Qt;
namespace Ui { class XmlView; }


class XMLView : public QMainWindow
{
    Q_OBJECT

private:
    DomModel* parser = nullptr;
    QMenu* menu = nullptr;
    QDockWidget* dock = nullptr;
    QTextEdit* textEdit = nullptr;
    DomModel* result = nullptr;
    QLabel* m_LabelXML;
    QLabel* m_LabelXQuery;

    QFile* f_currentFile = nullptr;
    QFile* f_resFile = nullptr;

public:
    XMLView(QWidget *parent = nullptr);
    ~XMLView();

private slots:
    void current_file(QFile* p_file)
    {   qDebug() << p_file->fileName();
        f_currentFile = p_file;
    }
    void execute();
    void loadXq();

};

#endif // XMLVIEW_H
